# Fruity Docs

> A documentation framework based on Nuxt 3 and DaisyUI, with a MongoDB backend. The project is currently in an early development stage.

![Nuxt.js](https://img.shields.io/badge/nuxt%20js-00C58E?style=for-the-badge&logo=nuxtdotjs&logoColor=white)
![DaisyUI](https://img.shields.io/badge/daisyUI-1ad1a5?style=for-the-badge&logo=daisyui&logoColor=white)
![Tailwind CSS](https://img.shields.io/badge/Tailwind_CSS-38B2AC?style=for-the-badge&logo=tailwind-css&logoColor=white)
![TypeScript](https://img.shields.io/badge/TypeScript-007ACC?style=for-the-badge&logo=typescript&logoColor=white)
![MongoDB](https://img.shields.io/badge/MongoDB-47A248?style=for-the-badge&logo=mongodb&logoColor=white)

## Overview

**Fruity Docs** is a modern, self-hostable documentation framework. It's designed to be easy to use and customize, making it ideal for project documentation, wikis, and knowledge bases. As the project is in its early stages, features are subject to change.

## Features

- 📝 **Markdown-Based:** Write documentation in Markdown.
- 🎨 **Customizable:** Easily themeable with DaisyUI and Tailwind CSS.
- 🚀 **Nuxt 3:** Built on the latest version of Nuxt for a great developer experience.
- 💾 **MongoDB Backend:** For data persistence.
- 💡 **Early Development:** A great time to contribute and shape the project!

## Technologies Used

- **[Nuxt 3](https://nuxt.com/)** – Modern Vue 3 framework
- **[DaisyUI](https://daisyui.com/)** – Clean UI components on Tailwind
- **[Tailwind CSS](https://tailwindcss.com/)** - A utility-first CSS framework.
- **[MongoDB](https://www.mongodb.com/)** - NoSQL Database
- **[PM2](https://pm2.keymetrics.io/)** – Process manager (recommended for deployment)

## Installation

### Prerequisites

- [Node.js](https://nodejs.org/) (v18+)
- [NPM](https://www.npmjs.com/)
- [MongoDB](https://www.mongodb.com/try/download/community)
- [PM2](https://pm2.keymetrics.io/) for production

### Steps

1. Clone the repository:
   ```sh
   git clone https://git.weexnes.dev/WeeXnes/fruity-docs.git
   cd fruity-docs
   ```
2. Install dependencies:
   ```sh
   npm install
   ```
3. Build the application:
   ```sh
   npm run build
   ```
4. Start the server:
   ```sh
   pm2 start
   ```

## Configuration

Modify the `fruity.config.ts` file to configure your documentation site.

*Configuration options are currently under development.*

## Usage

Once installed and running, you can start creating and viewing your documentation.

## Author

Developed by **[WeeXnes](https://git.weexnes.dev/WeeXnes)** and **[Fimmel](https://git.weexnes.dev/Fimmel)**

